﻿/* ==========================================================================
   HTML5 Boilerplate styles - h5bp.com (generated via initializr.com)
   ========================================================================== */

html,
button,
input,
select,
textarea {
    color: rgb(116,33,144);
}

body {
    font-size: 1em;
    line-height: 1.4;
}

::-moz-selection {
    background: #b3d4fc;
    text-shadow: none;
}

::selection {
    background: #b3d4fc;
    text-shadow: none;
}

hr {
    display: block;
    height: 1px;
    border: 0;
    border-top: 1px solid #ccc;
    margin: 1em 0;
    padding: 0;
}

img {
    vertical-align: middle;
}

fieldset {
    border: 0;
    margin: 0;
    padding: 0;
}

textarea {
    resize: vertical;
}

.chromeframe {
    margin: 0.2em 0;
    background: #ccc;
    color: #000;
    padding: 0.2em 0;
}

/* ==========================================================================
   Author's custom styles
   ========================================================================== */
body {
    font: 13px/1.231 arial, helvetica, clean, sans-serif;
}

a {
    text-decoration: none;
}

legend {
    color: #000;
}

ul li {
    list-style-type: disc;
    margin: 0 0 .1em;
    padding: 0;
    line-height: 1.4em;
}

input, select {
    padding: 5px;
    /*border: 1px solid silver;*/
    min-height: 18px;
}

select, input, button, textarea {
    font: 99% arial, helvetica, clean, sans-serif;
}

input[type="radio"] {
    vertical-align: middle;
    margin-bottom: 2px;
}

#secondary-nav {
    position: relative
}

#secondary-nav ul {
    display: block;
    float: right;
    max-width: 445px;
    margin-top: 6px;
    min-height: 44px
}

#secondary-nav li, #culture-info li {
    list-style-type: none;
    font-size: 90%;
    line-height: 1.3em;
    margin: 0
}

#culture-info li {
    padding-right: 5px;
}

#secondary-nav li {
    display: block;
    float: left
}

#secondary-nav li a {
    border-right: 1px solid #B4B4B4;
    color: #B4B4B4;
    padding: 0 7px 0 0;
    margin: 0 7px 0 0;
    display: block
}

#secondary-nav .last a {
    border: none;
    margin-right: 0;
    padding-right: 0
}

#secondary-nav .selected a {
    font-weight: 700;
    text-decoration: underline
}

#content-wrap {
    width: 100%;
}

#content-wrap ul li {
    background: none;
    padding: 0;
}

#header {
    background: #FFF url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAAkCAIAAADHFsdbAAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAAAadEVYdFNvZnR3YXJlAFBhaW50Lk5FVCB2My41LjExR/NCNwAAABBJREFUGFdjKFGcMHiw4gQAk+UpNQ924LIAAAAASUVORK5CYII=') repeat-x 0 100%;
    padding-top: 14px
}

#header .wrap {
    min-height: 90px
}

#identity {
    display: block;
    float: left;
    width: 270px;
    margin: 8px 0 14px;
    padding-left: 32px;
    height: 104px;
}

#identity a span {
    position: relative;
    z-index: -1;
}

#pagewrap {
    position: relative;
}

#confidence-statement-container {
    height: 0;
    position: absolute;
    top: -34px;
    left: 0;
    width: 540px
}

#home-content-container {
    position: relative;
    padding-top: 40px
}

#home-content {
    margin: 11px auto;/*22px 0 0;*/
    width: 726px;
    /*float: left*/
}

#second-tier-content-container {
    z-index: 100;
    padding: 0;
    position: relative
}

#content-main, #payment-controls {
    /*padding: 8px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
    background-color: #4d5059;*/
}

#payment-controls {}

.content-block{
    background-color: #FFF;
    margin: 0;
    display: block;
    zoom: 1;
    padding: 1em 2.5em 90px 2.5em;
    -webkit-box-shadow: 0px 0px 6px 2px rgba(0,0,0,0.2);
    -moz-box-shadow: 0px 0px 6px 2px rgba(0,0,0,0.2);
    box-shadow: 0px 0px 6px 2px rgba(0,0,0,0.2);
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
}

#payment-options li.selection {
    list-style-type: none;
}

#payment-options li.selection label {
    display: inline-block;
    vertical-align: middle;
}

#payment-options li.selection label span {
    padding: 0 0 0 .5em;
}

#payment-options p.introduction {
    padding-left: 40px;
}

#externalPaymentFrame {
    width: 100%;
    min-height: 510px;
}

.seamless-iframe {
    border: 0;
}

.spinner {
    width: 100%;
    min-height: 200px;
    background: #fff url("./images/ajax-loader.gif");
}

.external-content.ng-enter, .external-content.ng-leave {
    /*    -webkit-transition:all cubic-bezier(0.250, 0.460, 0.450, 0.940) 0.5s;
        -moz-transition:all cubic-bezier(0.250, 0.460, 0.450, 0.940) 0.5s;
        -o-transition:all cubic-bezier(0.250, 0.460, 0.450, 0.940) 0.5s;
        transition:all cubic-bezier(0.250, 0.460, 0.450, 0.940) 0.5s;
    */
    transition: all 0.5s ease-in-out;
    -webkit-transition: all 0.5s ease-in-out;
    -moz-transition: all 0.5s ease-in-out;
}

.external-content.ng-enter {
    max-height: 0;
}

.external-content.ng-enter-active {
    max-height: 9999;
}

.external-content.ng-leave {
    max-height: 9999;
}

.external-content.ng-leave-active {
    max-height: 0;
}

#holding {
    position: fixed !important;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
}

#holding-back {
    width: 100%;
    height: 100%;
    background: #000;
    opacity: 0.7;
}

#holding-front {
    position: absolute;
    margin: auto;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background: white;
    width: 300px;
    height: 100px;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    border-radius: 3px;
    text-align: center;
    z-index: 999;
}

#holding-front p {
    padding: 1em .3em 2em .3em;
}

#holding-front span.holding-text {
    font-size: x-large;
    font-weight: bold;
}

#spinner {
    position: absolute;
    margin: auto auto 1em auto;
    right: 0;
    bottom: 0;
    left: 0;
    background: #777 url("./images/ajax-loader.gif") no-repeat center;
    width: 210px;
    height: 15px;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    border-radius: 3px;
}

.wrap {
    margin: 0 auto;
    /*width: 1048px;*/
    position: relative
}

label, .label {
    font-weight: 700;
    display: block;
    margin-bottom: 4px
}

/* theme */
.theme-dark h3, .theme-dark h4, .theme-dark p, .theme-dark {
    color: rgb(116,33,144);
}

.theme-dark a
{ 
  color: rgb(116,33,144);
  font-weight: bold;
}

.theme-dark-tel
{ 
  color: rgb(116,33,144);
  font-weight: bold;
}

/*.theme-dark a[href^="mailto:"]
{ 
  color: yellow;
}*/

.theme-dark a:visited, .theme-darker a:visited {
    color: rgb(116,33,144);
    font-weight: bold;
    background-color: #4D5059;
    text-decoration: underline
}

.theme-darker h3, .theme-darker h4, .theme-darker p, .theme-darker {
    background-color: rgb(116, 33, 144);
    color: #fff
}

.theme-darker a:visited {
    background-color: rgb(116, 33, 144);
}

.theme-midtone .inner-content {
    background-color: #EAEAEA
}
.page-home {
    background-color: rgb(245, 236, 245);
}
/* ==========================================================================
   Media Queries
   ========================================================================== */

@media screen and (max-width: 5000px) {

    .second-tier-content-cloud {
        /*background: url("./images/brand_homepage_cloud.png") repeat-x scroll 50% 0 transparent;*/
        margin-top: -85px;
        height: 601px;
        width: 100%;
        z-index: 10
    }

    #third-tier-content {
        /*background: url("./images/brand_first_tier_cloud.png") repeat-x scroll 50% 0 transparent;*/
        padding: 80px 0 20px;
        position: relative;
        top: -60px
    }
}


@media screen and (max-width: 811px) {
    #content-wrap {
        width: 95%;
        max-width: 800px
    }

    #second-tier-content-container {
        margin: 20px 0 0
    }

    #home-content-container #home-content {
        width: 100%;
        max-width: 726px;
        float: none;
        margin: 20px auto;
        padding: 0
    }

    #home-content-container #home-content #search-controls {
        padding-bottom: 8px
    }

    #confidence-main-content #recommended-info-block h3 {
        width: auto
    }

    #second-tier-content .wrap {
        padding-left: 2%
    }

    #second-tier-confidence .wrap {
        width: 95%
    }

    #payment-controls {
        padding-bottom: 1em;
    }

    .second-tier-content-cloud {
        display: none
    }

    .home-content-panel {
        margin: 0 2% 0 0;
        width: 23%
    }

    .home-content-panel .item-sub-content {
        padding: 8px 22px 50px
    }

    .item-sub-content .home-panel-button {
        bottom: 39px
    }
}

@media screen and (max-width: 980px) {
    #secondary-nav ul {
        max-width:300px;
        min-height: 50px
    }

    #header .wrap {
        min-height: 95px
    }
}

@media screen and (max-width: 820px) {
    #header.nav-displayed {
        padding-bottom:12px
    }

    #header {
        height: auto;
        padding-top: 0
    }

    #header nav #nav-container.display {
        display: block
    }

    #header #nav-container {
        padding: 8px 0 75px;
        background-color: #5BE2ED;
        -moz-border-radius: 5px 0 5px 5px;
        -webkit-border-radius: 5px 0 5px 5px;
        border-radius: 5px 0 5px 5px;
        overflow: hidden;
        min-width: 200px;
        float: none;
        display: none
    }

    nav {
        margin: 0;
        clear: left;
        display: block;
        position: relative
    }

    #main-nav {
        position: static;
        padding: 0;
        float: none;
        max-height: 500px
    }

    #secondary-nav li,#main-nav li {
        width: 48%;
        margin: 5px 1%
    }

    #secondary-nav.display {
        display: block
    }

    #secondary-nav {
        position: absolute;
        bottom: 4px;
        left: 1%;
        z-index: 100;
        width: 98%;
        display: none
    }

    #secondary-nav ul {
        max-width: 100%;
        float: none;
        margin: 0
    }

    #secondary-nav li {
        float: left;
        display: block
    }

    #secondary-nav ul li a {
        padding: 0 5px 0 0;
        border: 0;
        color: #34363D;
        font-size: 1.2em
    }

    #second-tier-content {
        display:none
    }

    #second-tier-content .wrap {
        padding-left: 0
    }
}

@media screen and (max-width: 650px) {
    #home-content-container {
        padding-top: 0
    }
}

@media screen and (max-width: 500px) {
    /* TBD */
}

@media screen and (max-width: 480px) {
    /* TDB */
}

@media screen and (max-width: 390px) {
    /* TBD */
}

/* ==========================================================================
   Helper classes
   ========================================================================== */

.ir {
    background-color: transparent;
    border: 0;
    overflow: hidden;
}

.ir:before {
    content: "";
    display: block;
    width: 0;
    height: 150%;
}

.hidden {
    display: none !important;
    visibility: hidden;
}

.visuallyhidden {
    border: 0;
    clip: rect(0 0 0 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
}

.visuallyhidden.focusable:active,
.visuallyhidden.focusable:focus {
    clip: auto;
    height: auto;
    margin: 0;
    overflow: visible;
    position: static;
    width: auto;
}

.invisible {
    visibility: hidden;
}

.clearfix:before,
.clearfix:after {
    content: " ";
    display: table;
}

.clearfix:after {
    clear: both;
}

/* ==========================================================================
   Submit Button
   ========================================================================== */
.large-button {
    background: url("./images/responsive-button-sprite-v3.png") no-repeat scroll 100% -296px rgba(0, 0, 0, 0);
    border: 0 none;
    color: #34363D;
    cursor: pointer;
    display: block;
    float: right;
    font-size: 1.8em;
    height: 42px;
    margin: 0;
    min-width: 150px;
    padding: 0 20px 0 0;
    /*position: relative;*/
}

.large-button span {
    background: url("./images/responsive-button-sprite-v3.png") no-repeat scroll 0 0 rgba(0, 0, 0, 0);
    display: block;
    height: 42px;
    line-height: 42px;
    margin: 0;
    padding: 0 2px 0 13px;
    text-align: center;
}

.large-button.disabled:hover span.button-spinner, .large-button span.button-spinner, #search-controls span.button-spinner {
    background: url("./images/32_grey_matte.gif") no-repeat scroll 50% 50% rgba(0, 0, 0, 0);
    display: none;
    left: 0;
    padding: 0;
    position: absolute;
    top: 0;
    width: 100%;
    z-index: 100;
}

.large-button.disabled:hover span.button-spinner, .large-button.disabled span.button-spinner, #search-controls .large-button.disabled span.button-spinner {
    display: block;
}

.large-button.disabled:hover, .large-button.disabled {
    background: url("./images/responsive-button-sprite-v3.png") no-repeat scroll 100% -1100px rgba(0, 0, 0, 0);
    cursor: default;
}

.large-button.disabled:hover span.button-text, .large-button.disabled span.button-text {
    background: url("./images/responsive-button-sprite-v3.png") no-repeat scroll 0 -1025px rgba(0, 0, 0, 0);
    text-indent: -9999px;
}

.large-button:hover {
    background-position: 100% -548px;
    text-decoration: none;
}

.large-button:hover span {
    background-position: 0 -252px;
}

section.status-container > section {
    display: block;
    min-height: 1em;
    color: yellow;
    background-color: red;
    padding: 2px 0 2px 0;
    margin: 2px 0;
}
